## ros-foxy-ros2cli 0.9.13

=== debian/changelog ===
ros-foxy-ros2cli (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Contributors: Dharini Dutia

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2cli (0.9.12-1focal) focal; urgency=high

  * XMLRPC server accepts request from all local IP addresses. (#729 <https://github.com/ros2/ros2cli/issues/729>) (#735 <https://github.com/ros2/ros2cli/issues/735>)
  * Improve performance of commands for Foxy on Windows by 4x (#686 <https://github.com/ros2/ros2cli/issues/686>)
  * Contributors: Tomoya Fujita, Akash, mergify[bot]

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2cli (0.9.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2cli (0.9.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2cli (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * bugfix for #563 <https://github.com/ros2/ros2cli/issues/563> (#570 <https://github.com/ros2/ros2cli/issues/570>) (#609 <https://github.com/ros2/ros2cli/issues/609>)
  * Contributors: Daisuke Sato, Audrow Nash, Tomoya Fujita

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2cli (0.9.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.3-1focal) focal; urgency=high

  * Fix new flake8 errors. (#509 <https://github.com/ros2/ros2cli/issues/509>)
  * Improve NodeStrategy to use the right node seamlessly. (#499 <https://github.com/ros2/ros2cli/issues/499>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.2-1focal) focal; urgency=high

  * Make test_daemon.py robust to discovery latency. (#504 <https://github.com/ros2/ros2cli/issues/504>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.1-1focal) focal; urgency=high

  * add support for get_node_names_and_namespaces_with_enclaves (#501 <https://github.com/ros2/ros2cli/issues/501>)
  * Contributors: Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2cli (0.9.0-1focal) focal; urgency=high

  * Extend CLI daemon's API (#493 <https://github.com/ros2/ros2cli/issues/493>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * use f-string (#448 <https://github.com/ros2/ros2cli/issues/448>)
  * override parse_known_args for completion to work with partial argparse tree (#446 <https://github.com/ros2/ros2cli/issues/446>)
  * Avoid passing None to rclpy.init (#433 <https://github.com/ros2/ros2cli/issues/433>)
  * fix linter warning about bad quotes (#438 <https://github.com/ros2/ros2cli/issues/438>)
  * pass argv to CommandExtension.add_arguments if available (#437 <https://github.com/ros2/ros2cli/issues/437>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * Extend CLI daemon based features (#420 <https://github.com/ros2/ros2cli/issues/420>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2cli (0.8.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Fix ros2 topic pub --node-name (#398 <https://github.com/ros2/ros2cli/issues/398>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Nov 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * Make daemon “reset” itself when the IP address changes (#284 <https://github.com/ros2/ros2cli/issues/284>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * fix sourcing completion scripts in Debian package (#353 <https://github.com/ros2/ros2cli/issues/353>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-ros2cli (0.8.0-1focal) focal; urgency=high

  * Update setup.py version (#331 <https://github.com/ros2/ros2cli/issues/331>)
  * install package manifest (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-ros2cli (0.7.4-1focal) focal; urgency=high

  * update help of --spin-time (#253 <https://github.com/ros2/ros2cli/issues/253>)
  * don't start parameter service in daemon (#251 <https://github.com/ros2/ros2cli/issues/251>)
  * fix sourcing argcomplete script in zsh (#243 <https://github.com/ros2/ros2cli/issues/243>)
  * Contributors: Dirk Thomas


